cpw.mods.fml.client.config

## Class GuiUnicodeGlyphButton

- java.lang.Object
- - net.minecraft.client.gui.Gui
  - - net.minecraft.client.gui.GuiButton
    - - cpw.mods.fml.client.config.GuiButtonExt
      - - cpw.mods.fml.client.config.GuiUnicodeGlyphButton

-     public class GuiUnicodeGlyphButton
      extends GuiButtonExt

  This class provides a button that shows a string glyph at the beginning. The glyph can be scaled using the glyphScale parameter.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `glyph`
    `float` | `glyphScale`

    - ### Fields inherited from class net.minecraft.client.gui.GuiButton

      `buttonTextures, displayString, enabled, field_146123_n, height, id, packedFGColour, visible, width, xPosition, yPosition`

    - ### Fields inherited from class net.minecraft.client.gui.Gui

      `icons, optionsBackground, statIcons, zLevel`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiUnicodeGlyphButton(int id, int xPos, int yPos, int width, int height, java.lang.String displayString, java.lang.String glyph, float glyphScale)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `drawButton(Minecraft mc, int mouseX, int mouseY)` Draws this button to the screen.

    - ### Methods inherited from class net.minecraft.client.gui.GuiButton

      `func_146111_b, func_146113_a, func_146115_a, getButtonWidth, getHoverState, mouseDragged, mousePressed, mouseReleased`

    - ### Methods inherited from class net.minecraft.client.gui.Gui

      `drawCenteredString, drawGradientRect, drawHorizontalLine, drawRect, drawString, drawTexturedModalRect, drawTexturedModelRectFromIcon, drawVerticalLine, func_146110_a`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### glyph

          public java.lang.String glyph

    - #### glyphScale

          public float glyphScale

  - ### Constructor Detail

    - #### GuiUnicodeGlyphButton

          public GuiUnicodeGlyphButton(int id,
                               int xPos,
                               int yPos,
                               int width,
                               int height,
                               java.lang.String displayString,
                               java.lang.String glyph,
                               float glyphScale)

  - ### Method Detail

    - #### drawButton

          public void drawButton(Minecraft mc,
                        int mouseX,
                        int mouseY)

      Description copied from class: `GuiButtonExt`
      Draws this button to the screen.
      Overrides:
        `drawButton` in class `GuiButtonExt`